%define realname SSH2
%define modname ssh2
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A36_%{modname}.ini

Summary:	PHP bindings for the libssh2 library
Name:		php4-%{modname}
Version:	0.10
Release:	%mkrel 6
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/ssh2
Source0:	ssh2-%{version}.tar.bz2
Patch0:		ssh2-0.4.1-lib64.diff.bz2
BuildRequires:	php4-devel
BuildRequires:	libssh-devel
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-root

%description
Provides bindings to the functions of libssh2 which implements the
SSH2 protocol.

%prep

%setup -q -n ssh2-%{version}
%patch0 -p0

%build

php4ize
%configure2_5x \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php4/extensions
install -d %{buildroot}%{_sysconfdir}/php4.d

install -m755 %{soname} %{buildroot}%{_libdir}/php4/extensions/

cat > %{buildroot}%{_sysconfdir}/php4.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
[ "../package.xml" != "/" ] && rm -f ../package.xml

%files 
%defattr(-,root,root)
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php4.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php4/extensions/%{soname}


%changelog
* Sun Mar 04 2007 Oden Eriksson <oeriksson@mandriva.com> 0.10-6mdv2007.0
+ Revision: 132290
- rebuilt against new upstream php version (4.4.6)

* Wed Feb 21 2007 Oden Eriksson <oeriksson@mandriva.com> 1:0.10-5mdv2007.1
+ Revision: 123789
- rebuilt against new upstream php version (4.4.5)

* Fri Dec 15 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.10-4mdv2007.1
+ Revision: 97815
- Import php4-ssh2



* Sat Aug 26 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.10-4
- rebuilt for php-4.4.4

* Sat Aug 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.10-3mdv2007.0
- rebuilt for php-4.4.3

* Tue Jul 25 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.10-1mdv2007.1
- rebuild

* Fri Jun 02 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.10-1mdv2007.0
- 0.10

* Mon Jan 16 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.6-2mdk
- rebuilt against php-4.4.2

* Wed Nov 02 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.6-1mdk
- rebuilt for php-4.4.1
- fix versioning

* Mon Jul 11 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-1mdk
- rebuilt for php-4.4.0 final

* Tue Jul 05 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-0.RC2.1mdk
- rebuilt for php-4.4.0RC2

* Tue Jun 14 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0_0.6-0.RC1.1mdk
- rebuilt for php-4.4.0RC1

* Thu Jun 02 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_0.6-1mdk
- renamed to php4-*

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_0.6-1mdk
- 4.3.11

* Mon Mar 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.6-2mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.6-1mdk
- 0.6
- rebuilt against a non hardened-php aware php lib

* Mon Jan 17 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.4.1-3mdk
- fix deps

* Sat Jan 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.4.1-2mdk
- rebuild due to hardened-php-0.2.6
- cleanups

* Sat Jan 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.4.1-1mdk
- initial mandrake package
- added P0
